Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.derby
Class DerbyQualifierTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.QualifierTranslator
              org.apache.cayenne.access.trans.TrimmingQualifierTranslator
                  org.apache.cayenne.dba.derby.DerbyQualifierTranslator

All Implemented Interfaces:
  TraversalHandler

    public class DerbyQualifierTranslator

extends TrimmingQualifierTranslator

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`trimFunction`

Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`caseInsensitive, matchingObject, objectMatchTranslator`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`out, queryAssembler, strategy`

Constructor Summary
`DerbyQualifierTranslator(QueryAssembler queryAssembler, java.lang.String trimFunction)`

Method Summary
`protected void` | `processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr, Expression pathExp)` Adds special handling of CHAR columns.

Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator
`getTrimFunction, processColumn, setTrimFunction`

Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator
`appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, doAppendPart, endNode, extractQualifier, finishedChild, objectNode, operandForBitwiseAnd, operandForBitwiseNot, operandForBitwiseOr, operandForBitwiseXor, parenthesisNeeded, processRelTermination, setCaseInsensitive, startNode`

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendLikeEscapeCharacter, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyQualifierTranslator

    public DerbyQualifierTranslator(QueryAssembler queryAssembler,
                                    java.lang.String trimFunction)

Method Detail

### processColumnWithQuoteSqlIdentifiers

    protected void processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr,
                                                        Expression pathExp)
                                                 throws java.io.IOException

  Description copied from class: `TrimmingQualifierTranslator`
  Adds special handling of CHAR columns.

  Overrides:
    `processColumnWithQuoteSqlIdentifiers` in class `TrimmingQualifierTranslator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.